> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/metrics-api-reference/resources/orders/export.md).

# Export

To export orders as CSV send a `POST` request to the `/orders/export` endpoint specifying in the payload the [query keys](#query-keys) and [filter](/metrics-api-reference/resources/orders/filters.md) parameters like in the generic example below:

```json
{
  "search": {
    "sort": "...",
    "sort_by": "...",
    "fields": [ "...", "...", ... ]
  },
  "filter": { ... }
}
```

{% hint style="info" %}
The response is a CSV file (text/csv) returned inline (maximum size allowed is **100K** records). Please find more information on how export queries work [here](/metrics/getting-started/queries/export.md).
{% endhint %}

### Query keys

These are the keys you need to set when performing an export query:

<table><thead><tr><th>Key</th><th>Type</th><th data-type="checkbox">Required</th><th>Description</th><th>Values</th></tr></thead><tbody><tr><td><strong><code>sort</code></strong></td><td>String</td><td>false</td><td>The way you want the results of the query to be sorted.</td><td>One of <code>asc</code> or <code>desc</code> (default is <code>desc</code>).</td></tr><tr><td><strong><code>sort_by</code></strong></td><td>String</td><td>false</td><td>The date field you want the results of the query sorted by.</td><td><a href="#sort_by-values">Here</a> the full list of valid values for this key. Default is <code>order.current_date</code>.</td></tr><tr><td><strong><code>fields</code></strong></td><td>Array</td><td>false</td><td>The list of fields you want to be exported for each record.</td><td><a href="#field-values">Here</a> the full list of valid values for this key. Default is <code>["order.id", "order.placed_at", "order.total_amount_with_taxes"]</code>.</td></tr></tbody></table>

### `sort_by` values

These are the valid values you can specify for the `sort_by` key of the export query:

* `order.approved_at`
* `order.archived_at`
* `order.cancelled_at`
* `order.created_at`
* `order.current_date`
* `order.fulfillment_updated_at`
* `order.payment_updated_at`
* `order.placed_at`
* `order.updated_at`

### `field` values

These are the valid values you can specify for the `fields` key of the export query:

* `billing_address.business`
* `billing_address.city`
* `billing_address.company`
* `billing_address.country_code`
* `billing_address.first_name`
* `billing_address.geocoded`
* `billing_address.last_name`
* `billing_address.localized`
* `billing_address.state_code`
* `billing_address.zip_code`
* `customer.email`
* `customer.group_name`
* `customer.id`
* `customer.reference`
* `customer.reference_origin`
* `market.id`
* `market.name`
* `market.number`
* `order.adjustment_amount`
* `order.adjustment_tax_amount`
* `order.adjustment_taxable_amount`
* `order.affiliate_code`
* `order.aggregated_details`
* `order.approved_at`
* `order.archived`
* `order.archived_at`
* `order.cancelled_at`
* `order.country_code`
* `order.coupon`
* `order.coupon_code`
* `order.created_at`
* `order.currency_code`
* `order.current_date`
* `order.customer_type`
* `order.discount_amount`
* `order.discounted`
* `order.duty_amount`
* `order.freight_taxable`
* `order.fulfillment_status`
* `order.fulfillment_updated_at`
* `order.gift_card`
* `order.gift_card_amount`
* `order.gift_card_code`
* `order.guest`
* `order.id`
* `order.language_code`
* `order.line_item_options_count`
* `order.link_id`
* `order.mode`
* `order.number`
* `order.options`
* `order.payment_method_amount`
* `order.payment_method_tax_amount`
* `order.payment_method_taxable_amount`
* `order.payment_status`
* `order.payment_updated_at`
* `order.placed_at`
* `order.placed_day_of_week`
* `order.reference`
* `order.reference_origin`
* `order.refunded`
* `order.refunds_total_amount_with_taxes`
* `order.returned`
* `order.seconds_in_approved`
* `order.seconds_in_draft`
* `order.seconds_in_placed`
* `order.shipments_count`
* `order.shipping_amount`
* `order.shipping_taxable_amount`
* `order.skus_count`
* `order.status`
* `order.store_id`
* `order.subtotal_amount`
* `order.subtotal_tax_amount`
* `order.subtotal_taxable_amount`
* `order.tax_included`
* `order.total_amount`
* `order.total_amount_with_taxes`
* `order.total_amount_with_taxes_net_of_refunds`
* `order.total_tax_amount`
* `order.total_taxable_amount`
* `order.updated_at`
* `order.user_id`
* `organization.id`
* `organization.name`
* `organization.slug`
* `payment_method.card_type`
* `payment_method.id`
* `payment_method.issuer`
* `payment_method.issuer_type`
* `payment_method.moto`
* `payment_method.name`
* `payment_method.source_type`
* `shipping_address.business`
* `shipping_address.city`
* `shipping_address.country_code`
* `shipping_address.geocoded`
* `shipping_address.localized`
* `shipping_address.state_code`
* `shipping_address.zip_code`
* `tags.id`
* `tags.name`

{% hint style="warning" %}
Only order and single-level references are allowed (no line items). `tags.name` and `tags.id` generate space-separated values.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/metrics-api-reference/resources/orders/export.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
